Bug 11810 - The updated kernel-2.2.14-12.i686 incompatible with SVGA X server
Summary: The updated kernel-2.2.14-12.i686 incompatible with SVGA X server
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: kernel   
(Show other bugs)
Version: 6.2
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Michael K. Johnson
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2000-05-31 20:26 UTC by osbornestephen
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-12-14 23:47:30 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description osbornestephen 2000-05-31 20:26:40 UTC
I have recently installed redhat linux 6.2 and have updated the kernel in
order that it would work with my Intel 810 video card. I have downloaded
the kernel about 10 times and from approximately 7 different sites. Each
time, the kernel fails the check for self consistency - "rpm -K -nopgp
kernel-2.2.14-12.i686.rpm".

Nevertheless, I installed the kernel, changed the lilo.conf file and typed
"lilo -v" to write the corresponding changes to the LILO boot sector.
Reboot with the new kernel was successful, although only the VGA16 Xserver
was compatible. The SVGA server that the Linux installation procedure
recommended would not work. Furthermore I downloaded an X server from Intel
- (Using the Google search engine type "Linux + Intel + 810", the first
link shows the page where the XFCom_i810 server can be retrieved), this
intel X server also does not seem to work with the updated kernel.

Thus, I rebooted with the old kernel and installed the agpgart.o module
that the Intel web page (I mentioned earlier) provides. This time the X GUI
worked, i.e. with the Intel X server and Intel agpgart.o module. Having
said this, it only works with a resolution of 640x480, but I am happy with
this. Also interesting to note is that the agpgart module and XFCom_i810 X
server from Intel, both passed the self consistency check - "rpm -K -nopgp
file_to_check". 

It''s a shame the new kernel doesn''t seem to work for me - Any suggestions?

Comment 1 Alan Cox 2002-12-14 23:47:30 UTC
RH has supported i810 in base for a long time now, just the bug got missed for
closing



Note You need to log in before you can comment on or make changes to this bug.